Subject: RE: libXpm.dll doesn't build with B20.1
From: [email-masked] (Sergey Okhapkin)

11 Dec 1998 00:16:48 -0800
Message-ID: <01BE2488.7C0EF5E0.cygnus.gnu-win32@sos>
To: "'Dr. Volker Zell'" <[email-masked]>
Cc: "'Cygnus'" <[email-masked]>

Dr. Volker Zell wrote:
> By the way shouldn't your
>
>  o X11R6.4 diff  - 
   ftp://www.lexa.ru/pub/domestic/sos/X11R6.4f03-b20.diff
>
> state the following  (i586 instead of i386):
>
>
> < +#define StdIncDir               `CcCmd --print-libgcc-file-name | sed 
's:libgcc.a:../../../../i586-cygwin32/include:'|sed 's,\\\\,/,g'`
> ---
> > +#define StdIncDir               `CcCmd --print-libgcc-file-name | sed 
's:libgcc.a:../../../../i386-cygwin32/include:'|sed 's,\\\\,/,g'`
>

You're right. I didn't change my directory structure since b17 :-)

> vzell:/src/xc/config/imake> diff Makefile.ini Makefile.ini.sergey
> 41c41
> <       $(MV) *.o imake.exe bootstrap
> ---
> >       $(MV) *.o imake bootstrap
>

I've changed that line in my current sourses to

		-$(MV) *.o imake bootstrap

to be compatible with all other systems.

>
> Otherwise X11 builds perfect for me with B20.1, but executing bitmap 
gives me the
> following errors.
>
> vzell:/tmp> bitmap
> Warning: Cannot convert string "menu12" to type Pixmap
> Warning: Cannot convert string "FlipHoriz" to type Pixmap
> Warning: Cannot convert string "Term" to type Pixmap
> [main] D:\temp\X11-Volker\X11R6.4\bin\bitmap.exe 1795 (0) 
handle_exceptions: Exception: STATUS_ACCESS_VIOLATION
> [main] bitmap 1795 (0) handle_exceptions: Dumping stack trace to 
bitmap.exe.core
>

Hmmm... The same for me... I'll investigate the problem ASAP.

>
> Another thing:
>
> Building of libXpm.dll
>
>  o    xpm-3.4k   -   ftp://ftp.x.org/contrib/libraries/
>
> used to work in B19, but now I get the following:
> gcc -c -O2 -s -mpentium   -I.  -I/usr/X11R6.4/include -I/include 
 -D__i386__ -DX_LOCALE -D_MT -DNO_TCP_H   -DFUNCPROTO=15 -DNARROWPROTO 
      WrFFrBuf.c
> echo "#include <cygwin/cygwin_dll.h>"		>junk.c
> echo "DECLARE_CYGWIN_DLL(dll_main);"		>>junk.c

Change Imakefile to build non-shared library.

--
Sergey Okhapkin, http://www.lexa.ru/sos
Piscataway, NJ

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".